#!/bin/bash
# only support systemd linux ,default server is ubuntu 20.04......
echo 
echo "This shell will install Xftpsvr service in this computer"
echo "Test on Ubuntu linux 20.04 in systemd configure"
echo "You must edit /usr/tmp1/Xfile/myaccount.ini and /usr/tmp1/Xfile/myshare.txt before you start service"
echo " "
echo 

if [ `whoami` != 'root' ]; then
   echo "Please run this program as super-user. "
   exit 0
fi

if [ ! -f ./Xftpsvr.service ]; then
echo "Xftpsvr.service error , install failed"
exit 0
fi 

if [ ! -d ./config ]; then
echo "config folder error , install failed"
exit 0
fi

if [ ! -d /etc/systemd/system ]; then
echo "Systemd folder not found, install failed"
exit 0
fi

if [ ! -f ./Xftpsvr ]; then
echo "Xftpsvr error , install failed"
exit 0
fi

basepath=$(cd `dirname $0`; pwd)
echo $basepath
if [ $basepath = "/usr/tmp1/Xfile" ]; then
echo "Warning: You are running install script under object folder, it may case error."
fi


echo "File and folder check ok, now will try to install"


#gchoice=0
#echo $gchoice
#echo "Do you want to install g++?"
#select var in "Skip" "Install"; do
#  if [ "$var" = "Install" ]; then
#      gchoice=1
#       break
#  else
#   
#       break
#  fi
#done

#echo $var 
#if [ $gchoice -eq 1 ]; then
#  echo "Now will try to install g++"
#  if [ -f /bin/yum ]; then
#    sudo yum install gcc-c++
#  else
#    sudo apt-get install build-essential
#  fi

#fi

if [ -f /etc/systemd/system/Xftpsvr.service ]
then
    echo "Found Xftpsvr already installed, will try to stop it"
    sudo systemctl stop Xftpsvr.service
else
    sudo cp ./Xftpsvr.service /etc/systemd/system/Xftpsvr.service
    sudo chmod +x /etc/systemd/system/Xftpsvr.service
    sudo systemctl enable Xftpsvr.service
fi



if [ ! -d /usr/tmp1 ]
then
  echo "Now will try to create /usr/tmp1 and copy all files"
  sudo mkdir /usr/tmp1
  sudo mkdir /usr/tmp1/Xfile
  sudo cp ./Xftpsvr /usr/tmp1/Xfile/
  sudo chmod +x /usr/tmp1/Xfile/Xftpsvr
  sudo mkdir /usr/tmp1/Xfile/config
  sudo cp ./config/*.* /usr/tmp1/Xfile/config/
elif [ ! -d /usr/tmp1/Xfile ] 
then
   echo "Now will try to create /usr/tmp1/Xfile and copy all files"
   sudo mkdir /usr/tmp1/Xfile
   sudo cp ./Xftpsvr /usr/tmp1/Xfile/
   sudo chmod +x /usr/tmp1/Xfile/Xftpsvr
   sudo mkdir /usr/tmp1/Xfile/config
   sudo cp ./config/*.* /usr/tmp1/Xfile/config/
elif [ ! -d /usr/tmp1/Xfile/config ]
then
    echo "Now will try to create config folder, and copy files"
    sudo mkdir /usr/tmp1/Xfile/config
    sudo cp ./config/*.* /usr/tmp1/Xfile/config/
    sudo cp -f ./Xftpsvr /usr/tmp1/Xfile/
    sudo chmod +x /usr/tmp1/Xfile/Xftpsvr
else
    echo "Found folder already exist, will only upgrade server program"
    sudo cp -f ./Xftpsvr /usr/tmp1/Xfile/
    sudo chmod +x /usr/tmp1/Xfile/Xftpsvr 
fi
echo "********************"
echo "Install done"
echo "You must edit /usr/tmp1/Xfile/config/myaccount.ini and /usr/tmp1/Xfile/config/myshare.txt before run"
echo "Use command [ systemctl start Xftpsvr.service ] to start service after you finish the setting file"

echo "www.phoenixp2p.com"
echo "********************"
exit 1













